# Draw
TKTopTest
HLRTest

# HLRTest_Projector Class Reference

`#include <HLRTest_Projector.hxx>`

Inheritance diagram for HLRTest_Projector:

[legend]

## Public Member Functions

Standard_EXPORT | HLRTest_Projector (const HLRAlgo_Projector &P)
const HLRAlgo_Projector & | Projector () const
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
| Does nothhing, .
virtual Standard_EXPORT Handle_Draw_Drawable3D | Copy () const
| For variable copy. .
virtual Standard_EXPORT void | Dump (Standard_OStream &S) const
| For variable dump. .
virtual Standard_EXPORT void | Whatis (Draw_Interpretor &I) const
| For variable whatis command. Set as a result the type of the variable. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

HLRAlgo_Projector | myProjector

## Constructor & Destructor Documentation

Standard_EXPORT HLRTest_Projector::HLRTest_Projector | ( | const HLRAlgo_Projector & | P | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_Draw_Drawable3D HLRTest_Projector::Copy | ( |  | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT void HLRTest_Projector::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D.

virtual Standard_EXPORT void HLRTest_Projector::Dump | ( | Standard_OStream & | S | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT const HLRTest_Projector::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable3D.

const HLRAlgo_Projector & HLRTest_Projector::Projector | ( |  | ) | const`[inline]`

virtual Standard_EXPORT void HLRTest_Projector::Whatis | ( | Draw_Interpretor & | I | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

## Field Documentation

HLRAlgo_Projector HLRTest_Projector::myProjector `[private]`

The documentation for this class was generated from the following files:

- HLRTest_Projector.hxx
- HLRTest_Projector.lxx